Skip to main content
PUT
/
api
/
v
{version}
/
tenants
/
me
/
api-keys
/
{id}
cURL
curl --request PUT \
  --url https://identity.payven.com.tr/api/v{version}/tenants/me/api-keys/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayName": "<string>",
  "contactEmail": "<string>",
  "merchantId": "<string>",
  "planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dailyLimitOverride": 123,
  "monthlyLimitOverride": 123,
  "rateLimitOverride": 123,
  "allowedIps": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "isActive": true
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "keycloakClientId": "<string>",
    "displayName": "<string>",
    "contactEmail": "<string>",
    "merchantId": "<string>",
    "planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "planCode": "<string>",
    "planName": "<string>",
    "dailyLimitOverride": 123,
    "monthlyLimitOverride": 123,
    "rateLimitOverride": 123,
    "dailyTransactionCount": 123,
    "monthlyTransactionCount": 123,
    "lastUsedAt": "2023-11-07T05:31:56Z",
    "expiresAt": "2023-11-07T05:31:56Z",
    "allowedIps": "<string>",
    "isActive": true,
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<uuid>
required
version
string
required

Body

displayName
string | null
contactEmail
string | null
merchantId
string | null
planId
string<uuid> | null
dailyLimitOverride
integer<int32> | null
monthlyLimitOverride
integer<int32> | null
rateLimitOverride
integer<int32> | null
allowedIps
string | null
expiresAt
string<date-time> | null
isActive
boolean

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object